<?php
class ClientWebTMP {
    public static function getByValidationMethod($method = 'manual') {
        $query = "SELECT * FROM clientswebtmp WHERE ValidationMethod = :method";
        $statement = Connection::getStatement($query);
        $statement->bindParam(":method", $method);
        $statement->execute();
        return $statement->fetchAll();
    }

    public static function getByIdRequette($id) {
        $query = "SELECT * FROM clientswebtmp WHERE IdRequette = :id";
        $statement = Connection::getStatement($query);
        $statement->bindParam(":id", $id);
        $statement->execute();
        return $statement->fetch();
    }
}